/*
 * Titrax preferences subroutines
 *
 * $Id: titraxPref.h,v 1.3 1997/11/23 20:08:59 ga58 Exp ga58 $
 *
 * $Log: titraxPref.h,v $
 * Revision 1.3  1997/11/23 20:08:59  ga58
 * *** empty log message ***
 *
 * Revision 1.2  1997/11/15 17:59:29  ga58
 * *** empty log message ***
 *
 * Revision 1.1  1997/11/14 17:51:04  ga58
 * Initial revision
 *
 */

#ifndef titraxPref_h
#define titraxPref_h

#define tendays 864000
#define oneday 86400
#define tenhours 36000
#define onehour 3600
#define tenmins 600
#define onemin 60

extern void CreatePrefs(void);
extern void ClearPrefs(void);
extern Boolean ReadPrefs(void);
extern void WritePrefs(void);
extern void DeletePrefs(void);

extern UInt RunningRecIdx(Int no);
extern void SetRunningRecIdx(Int no, UInt idx);

extern UInt ElapsedRecIdx(Int no);
extern void SetElapsedRecIdx(Int no, UInt idx);

extern UInt StartedAtRecIdx(Int no);
extern void SetStartedAtRecIdx(Int no, UInt idx);

extern UInt TextRecIdx(Int no);
extern void SetTextRecIdx(Int no, UInt idx);

extern UInt NoteRecIdx(Int no);
extern void SetNoteRecIdx(Int no, UInt idx);

extern Int EditedSlot(void);
extern void SetEditedSlot(Int no);

extern Int EditedNoteSlot(void);
extern void SetEditedNoteSlot(Int no);

extern Int CurrentView(void);
extern void SetCurrentView(Int view);

extern ULong LastCall(void);
extern void SetLastCall(ULong call);

extern Int ShiftSlot(Int no);
extern void SetShiftSlot(Int no, Int val);

extern ULong Increment(void);
extern void SetIncrement(ULong val);

extern Boolean Track(Int no);
extern void SetTrack(Int no, Boolean val);

#endif
